Generate File Summary

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API generates an AI-powered summary for a file using the configured AI service.

Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request POST \
  --url https://www.zohoapis.com/workdrive/api/v1/filesummary \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"org_id":"6oq3d00e1e07d58c64077b4f1c1f28da4a777","resource_id":"6yc4zb75a47c203e64c4e99705c2524d768af"},"type":"filesummary"}}'

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
org_idstring(Required)

The unique ID of the team or organization.

resource_idstring(Required)

The unique ID of the file for which the summary is to be generated.

typestring(Required)

The JSON:API resource type. Always "filesummary".

Allowed Values :
Show Values
filesummaryCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "org_id": "6oq3d00e1e07d58c64077b4f1c1f28da4a777",
        "resource_id": "6yc4zb75a47c203e64c4e99705c2524d768af"
      },
      "type": "filesummary"
    }
  }
                
Show full

Response Example

PAI105

PAI121

PAI121

PAI102

U016

F000

FIS002

FIS003

PAI120

FIS001

200
200
429
500
Copied!
  {
    "data": {
      "id": "6yc4zb75a47c203e64c4e99705c2524d768af",
      "type": "filesummary",
      "attributes": {
        "is_top_version": true,
        "file_id": "5719899010334339605",
        "summarized_file_content": "**Summary** The file contains details about...",
        "status": "1"
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/api/v1/filesummary/6yc4zb75a47c203e64c4e99705c2524d768af"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "PAI105",
        "title": "You exceeded your current quota. Please check your plan and billing details in OpenAI Account."
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "PAI121",
        "title": "Vision API Failed to process the image"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "PAI102",
        "title": "No response from AI"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U016",
        "title": "User not part of the team"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General Exception"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "FIS002",
        "title": "Invalid/Error response from AI service."
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "FIS003",
        "title": "File content is too short to generate a summary."
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "PAI120",
        "title": "Platform API Throttle limit reached"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "FIS001",
        "title": "No extracted content found."
      }
    ]
  }
                
Show full